audio/libopenmpt - The NetBSD Packages Collection

Library to decode tracked music files into a raw PCM audio stream

OpenMPT based module player library and libopenmpt based command-line
player

libopenmpt is a cross-platform C++ and C library to decode tracked
music files (modules) into a raw PCM audio stream.

openmpt123 is a cross-platform command-line or terminal based module
file player.

libopenmpt is based on the player code of the Open ModPlug Tracker
project (OpenMPT, http://openmpt.org/). In order to avoid code base
fragmentation, libopenmpt is developed in the same source code
repository as OpenMPT.

Build dependencies

converters/help2man pkgtools/x11-links x11/xorgproto x11/xcb-proto pkgtools/cwrappers devel/glib2-tools devel/libtool-base devel/gmake devel/pkgconf

Runtime dependencies

audio/pulseaudio audio/libsndfile audio/mpg123 devel/SDL2 devel/libltdl audio/pulseaudio audio/libsndfile devel/SDL2 devel/libltdl

Binary packages

OSArchitectureVersion
NetBSD 9.0aarch64libopenmpt-0.5.7.tgz
NetBSD 9.0aarch64libopenmpt-0.5.2.tgz
NetBSD 9.0aarch64libopenmpt-0.5.4.tgz
NetBSD 9.0earmv7hflibopenmpt-0.5.2.tgz
NetBSD 9.0i386libopenmpt-0.5.2.tgz
NetBSD 9.0i386libopenmpt-0.5.4.tgz
NetBSD 9.0i386libopenmpt-0.5.7.tgz
NetBSD 9.0powerpclibopenmpt-0.5.4.tgz
NetBSD 9.0sparc64libopenmpt-0.5.7.tgz
NetBSD 9.0sparc64libopenmpt-0.5.2.tgz
NetBSD 9.0x86_64libopenmpt-0.5.3.tgz
NetBSD 9.0x86_64libopenmpt-0.5.4nb2.tgz
NetBSD 9.0x86_64libopenmpt-0.5.4nb2.tgz
NetBSD 9.0x86_64libopenmpt-0.5.7.tgz
NetBSD 9.0x86_64libopenmpt-0.5.2.tgz
NetBSD 9.0x86_64libopenmpt-0.5.4.tgz
NetBSD 9.0x86_64libopenmpt-0.5.7.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

flac
Enable FLAC support.
pulseaudio
Enable support for the PulseAudio sound server.
sndfile
Enable sndfile support.
wavpack
Enable wavpack support.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.